app-eselect / eselect-php

PHP eselect module

Official package sites : https://gitweb.gentoo.org/proj/eselect-php.git/ ·

PHP eselect module

v9999 :: 0 :: gentoo

Modified
License
GPL-2
USE flags
apache2 fpm

v0.9.5 :: 0 :: gentoo

Modified
License
GPL-2
Keywords
~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc-macos ~ppc64 ~s390 ~sh ~sparc ~x64-macos ~x86 ~x86-fbsd ~x86-linux ~x86-macos
USE flags
apache2 fpm

v0.9.4-r5 :: 0 :: gentoo

Modified
License
GPL-2
Keywords
alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~amd64-linux ~mips ~ppc-macos ~s390 ~sh ~x64-macos ~x86-fbsd ~x86-linux ~x86-macos
USE flags
apache2 fpm

General

apache2
Add Apache2 support
fpm
Enable the FastCGI Process Manager SAPI

app-portage / elt-patches : Collection of patches for libtool.eclass

dev-vcs / git : stupid content tracker: distributed VCS designed for speed and efficiency

sys-devel / autoconf : Used to create autoconfiguration files

sys-devel / automake : Used to generate Makefile.in from Makefile.am

sys-devel / libtool : A shared library tool for developers

virtual / pkgconfig : Virtual for the pkg-config implementation

app-admin / eselect : Gentoo's multi-purpose configuration and management tool

www-servers / apache : The Apache Web Server

dev-lang / php : The PHP language runtime engine

www-misc / zoneminder : Capture, analyse, record and monitor any cameras attached to your system

632690
app-eselect/eselect-php: upstream the php-fpm OpenRC service script
659592
app-eselect/eselect-php: support for 'embed' module
692194
app-eselect/eselect-php: please consider adding logrotate for php-fpm
Repository mirror & CI · gentoo
Merge updates from master
Aaron Bauman · gentoo
app-eselect/eselect-php: arm64 stable
Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.12 RepoMan-Options: --include-arches="arm64"
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
app-eselect/eselect-php: stable 0.9.4-r5 for hppa, bug #642788
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Brian Evans · gentoo
app-eselect/eselect-php: Drop old, hppa is ~arch only
Closes: https://bugs.gentoo.org/642788 Package-Manager: Portage-2.3.36, Repoman-2.3.9
Michael Orlitzky · gentoo
app-eselect/eselect-php: new version 0.9.5.
Closes: https://bugs.gentoo.org/649270 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Mikle Kolyada · gentoo
app-eselect/eselect-php: arm stable wrt bug #642788
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Tobias Klausmann · gentoo
app-eselect/eselect-php-0.9.4-r5: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/642788
Sergei Trofimovich · gentoo
app-eselect/eselect-php: stable 0.9.4-r5 for ia64/ppc/ppc64, bug #642788
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64 ppc ppc64"
Thomas Deutschmann · gentoo
app-eselect/eselect-php: x86 stable (bug #642788)
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Mikle Kolyada · gentoo
app-eselect/eselect-php: amd64 stable wrt bug #642788
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Rolf Eike Beer · gentoo
app-eselect/eselect-php: stable 0.9.4-r5 for sparc, bug #642788
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Michael Orlitzky · gentoo
app-eselect/eselect-php: drop unused eselect-php-0.9.4-r2.ebuild.
Bug: https://bugs.gentoo.org/640460 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Michael Orlitzky · gentoo
app-eselect/eselect-php: drop the "PHP5" backwards-compatibility shim.
A backwards-compatibility shim was added on 2016-01-05, in commit 1ae81f5, to prevent (unmodified) configurations from breaking when upgrading eselect-php. A "you should upgrade your configuration" warning was added three days later in commit 470b42d. I think two years is a long enough time to maintain the shim/warning, so this commit removes them from the live ebuild and latest revision. Package-Manager: Portage-2.3.13, Repoman-2.3.3
Michael Orlitzky · gentoo
app-eselect/eselect-php: drop sys-apps/gentoo-functions dependency.
Thanks to Craig Andrews in commit bbd39788, we no longer need to pull in sys-apps/gentoo-functions when USE=fpm is set. Drop it from the latest revision and the live ebuild. Bug: https://bugs.gentoo.org/640460 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Craig Andrews · gentoo
app-eselect/eselect-php: do not use get_libdir in php-fpm-launcher
Closes: https://bugs.gentoo.org/640460 Package-Manager: Portage-2.3.17, Repoman-2.3.6
Brian Evans · gentoo
app-eselect/eselect-php: Revbump to remove set call in files/php-fpm-launcher-r2
The "set -o errexit" and "set -e" cause $(get_libdir) to fail. Apparently, gentoo-functions does not work properly if this is set. Package-Manager: Portage-2.3.6, Repoman-2.3.3
Michael Orlitzky · gentoo
app-eselect/eselect-php: new revision to fix bashisms.
Thomas Arnett pointed out two bashisms in our php-fpm launcher, and provided a new script that works with app-shells/dash. This commit updates the launcher, and revisions the v0.9.4 ebuild to use it. I fixed the live ebuild while I was at it. Gentoo-Bug: 626496 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
app-eselect/eselect-php: new version 0.9.4 with fixed conf.d file name.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
app-eselect/eselect-php: update the live ebuild for recent repo changes.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Brian Evans · gentoo
app-eselect/eselect-php: Update live ebuild to match changes in the repo
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Michael Orlitzky · gentoo
app-eselect/eselect-php: new version 0.9.3.
Gentoo-Bug: 624528 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Brian Evans · gentoo
app-eselect/eselect-php: Add live version for testing
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Fabian Groffen · gentoo
app-eselect/eselect-php: dropped ~ia64-linux ~x86-freebsd
Package-Manager: portage-2.3.3
Brian Evans · gentoo
app-eselect/eselect-php: Drop old
Package-Manager: portage-2.3.1
Brian Evans · gentoo
app-eselect/eselect-php: Stable for ia64, ppc, sparc, x86 wrt bug 592968
Tested under x86. Other arches stable under ALLARCHES policy. Package-Manager: portage-2.3.1
Jeroen Roovers · gentoo
app-eselect/eselect-php: Stable for HPPA PPC64 (bug #592968).
Package-Manager: portage-2.3.1 RepoMan-Options: --ignore-arches
Markus Meier · gentoo
app-eselect/eselect-php: arm stable, bug #592968
Package-Manager: portage-2.3.1 RepoMan-Options: --include-arches="arm"
Agostino Sarubbo · gentoo
app-eselect/eselect-php: amd64 stable wrt bug #592968
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
app-eselect/eselect-php-0.9.2-r0: add alpha keyword
Gentoo-Bug: 592968
Michael Orlitzky · gentoo
app-eselect/eselect-php: new version 0.9.2 using bundled init scripts.
This adds the current Gentoo init script (and its conf file) for php-fpm to a "doc" directory in the tarball, to be installed with newinitd and newconfd. In the process, bug 549172 was addressed by adding a new conf paramater, PHP_FPM_UMASK. Gentoo-Bug: 549172 Package-Manager: portage-2.2.28
Markus Meier · gentoo
app-eselect/eselect-php: arm stable, bug #577376
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm"
Agostino Sarubbo · gentoo
app-eselect/eselect-php: ia64 stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
app-eselect/eselect-php: sparc stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
app-eselect/eselect-php: ppc stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
app-eselect/eselect-php: x86 stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
app-eselect/eselect-php: Stable for HPPA PPC64 (bug #573892).
Package-Manager: portage-2.2.27 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
app-eselect/eselect-php: amd64 stable wrt bug #573892
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
app-eselect/eselect-php: add alpha keyword
Gentoo-Bug: 573892 Package-Manager: portage-2.2.27
Michael Orlitzky · gentoo
app-eselect/eselect-php: add version 0.9.1 (masked for testing).
Package-Manager: portage-2.2.26
Ian Delaney · gentoo
Merge remote-tracking branch 'remotes/Coacher/ffmpegsource-bug-564524'
Pull request: https://github.com/gentoo/gentoo/pull/629
Michael Orlitzky · gentoo
app-eselect/eselect-php: replace v0.8.4 with v0.8.5.
Package-Manager: portage-2.2.24
Ian Delaney · gentoo
Merge remote-tracking branch 'remotes/Coacher/mpv-keep-build-timestamps-in-live-ebuild'
Pull request: https://github.com/gentoo/gentoo/pull/62
Michael Orlitzky · gentoo
app-eselect/eselect-php: version bump 0.8.3 -> 0.8.4.
Package-Manager: portage-2.2.24
Michael Orlitzky · gentoo
app-eselect/eselect-php: add version 0.8.3.
This new version will emit a warning if the old apache module configuration file (70_mod_php5.conf) is in place. This, along with the backwards-compatibility shim in 0.8.2-r1, hopefully fully addresses the breakage seen on upgrades. Gentoo-Bug: 569042 Package-Manager: portage-2.2.24
Michael Orlitzky · gentoo
app-eselect/eselect-php: remove old 0.8.x versions.
Package-Manager: portage-2.2.24
Michael Orlitzky · gentoo
app-eselect/eselect-php: new revision with backwards-compatible apache config.
If the user has an unmodified 70_mod_php5.conf, the previous revision will allow that file to be removed. This can break PHP support in Apache before the user notices that he needs to run eselect-php and update his Apache -DPHP5 line. In this revision we supply the latest copy of 70_mod_php5.conf for backwards compatibility. There is now a notice at the top of that file informing users to upgrade their configuration. Package-Manager: portage-2.2.24
Brian Evans · gentoo
app-eselect/eselect-php: Version bump to add phpdbg support
Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
app-eselect/eselect-php: version bump adding v0.8.1.
This is another attempt at php-7.x support in apache2. This new version is already masked for testing, which is good because it requires some configuration changes to apache. Upgraders should read the elogs. Gentoo-Bug: 552156 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
app-eselect/eselect-php: version bump with partial php-7.x support for apache2.
This new version adds the ability to switch the apache2 implementation to php-7.x. This was missing earlier due to a library name change, libphp5 -> libphp7. This partially addresses bug #552156, although there is still some work to be done in the apache config file. Upstream development has moved to a Gentoo-hosted git repository at https://gitweb.gentoo.org/proj/eselect-php.git/ Gentoo-Bug: 552156 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
app-eselect/eselect-php: new revision to test config before FPM start/reload.
Now that we have a configtest() command for the php-fpm daemon, we should run it before attempting to reload the daemon. This prevents the (working) daemon from crashing if the new config has a typo in it. Performing the same check before start() avoids a five-second wait if there is an error in the config. Gentoo-Bug: 487642 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
app-eselect/eselect-php: new revision fixing bugs 508712 and 545652.
Both the ebuild and the init script have been revisioned. The ebuild was modified to depend on the apache2 mod_dir module (bug 545652), and a configtest() command was added to the init script (bug 508712). Thanks to Sebastian Pipping and Igor Filakhtov for the reports and fixes. Gentoo-Bug: 508712 Gentoo-bug: 545652 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
app-eselect/eselect-php: new revision removing php-fpm init dependencies.
This new revision exists mainly to pull in a new version of the php-fpm init script. Some minor ebuild cleanup was also done. The first fix to the init script is to remove "need net" (bug 514872). The php-fpm daemon runs on 127.0.0.1 by default and should not bring up any other interfaces. Users are encouraged to use rc_need="net.eth0" or similar if they move the daemon to another interface. The second init script change removes the webserver dependencies (bug 471018). The web servers require php-fpm, not the other way around. Finally, some other cosmetic changes were made to the init script. Gentoo-Bug: 471018 Gentoo-Bug: 514872 Package-Manager: portage-2.2.20.1
Manuel Rüger · gentoo
app-eselect/eselect-php: Remove old
Package-Manager: portage-2.2.20.1
Justin Lecher · gentoo
Use https by default
Convert all URLs for sites supporting encrypted connections from http to https Signed-off-by: Justin Lecher <jlec@gentoo.org>
Robin H. Johnson · gentoo
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed